> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Ocrolus

> Upload Ocrolus JSON for a specified end user to translate into Heron Data format and add transactions for the end user




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/ocrolus
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/ocrolus:
    post:
      tags:
        - EndUserIntegrations
      summary: Upload Ocrolus
      description: >
        Upload Ocrolus JSON for a specified end user to translate into Heron
        Data format and add transactions for the end user
      parameters:
        - description: The `end_user_id` or `heron_id` of EndUser to upload
          in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - description: Skip the check for the number of transactions in the payload
          in: query
          name: skip_num_txns_check
          required: false
          schema:
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OcrolusSchema'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  _summary:
                    properties:
                      request_id:
                        description: Unique UUID per request
                        type: string
                    type: object
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OcrolusSchema:
      properties:
        response:
          $ref: '#/components/schemas/OcrolusResponse'
      required:
        - response
      type: object
    OcrolusResponse:
      properties:
        bank_accounts:
          items:
            $ref: '#/components/schemas/OcrolusBankAccount'
          type: array
        name:
          type: string
      required:
        - bank_accounts
        - name
      type: object
    OcrolusBankAccount:
      properties:
        account_category:
          type: string
        account_number:
          type: string
        alternative_lender_transactions:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        daily_balances:
          additionalProperties:
            type: string
          type: object
        debt_consolidator_txns:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        deposits_max_by_month:
          additionalProperties:
            items:
              $ref: '#/components/schemas/OcrolusTransaction'
            nullable: true
            type: array
          type: object
        estimated_expense_txns_list:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        estimated_revenue_txns_list:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        factor_txns:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        holder_country:
          type: string
        insurance_credits:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        insurance_debits:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        interbank_transactions:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        merchant_cash_advance_lender_txns:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        non_estimated_revenue_txns_list:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        nsf_transactions:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        nsf_transactions_paid_or_negative_balance:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        nsf_transactions_returned_or_not_paid:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        outside_source_deposits:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        payroll:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        period_balance_mismatches:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        ppp_loan_txns:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        probable_recurring_txns:
          items:
            items:
              $ref: '#/components/schemas/OcrolusTransaction'
            type: array
          type: array
        returned_items:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        round_number_txns:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        txn_count:
          type: integer
        withdrawals:
          items:
            $ref: '#/components/schemas/OcrolusTransaction'
          type: array
        withdrawals_max_by_month:
          additionalProperties:
            items:
              $ref: '#/components/schemas/OcrolusTransaction'
            nullable: true
            type: array
          type: object
      type: object
    OcrolusTransaction:
      properties:
        amount:
          type: string
        description:
          type: string
        pk:
          type: integer
        timestamp:
          format: date-time
          type: string
        txn_date:
          example: 07/08/2025
          format: date
          pattern: ^\d{2}/\d{2}/\d{4}$
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````